Loading...
Searching...
No Matches
engine.h File Reference
`#include <semaphore.h>`
`#include <cmath>`
`#include <ctime>`
`#include <sstream>`
`#include <fstream>`
`#include <iostream>`
`#include <string>`
`#include <list>`
`#include <set>`
`#include <vector>`
`#include <map>`
`#include <algorithm>`
`#include <sys/stat.h>`
`#include <boost/format.hpp>`
`#include <boost/noncopyable.hpp>`
`#include <boost/thread/mutex.hpp>`
`#include <glibmm/i18n.h>`
`#include <glibmm/optioncontext.h>`
`#include <glibmm/dispatcher.h>`
`#include <glibmm/miscutils.h>`
`#include <giomm/file.h>`
`#include <lilv/lilv.h>`
`#include <lv2/presets/presets.h>`
`#include <lv2/state/state.h>`
`#include <lv2/urid/urid.h>`
`#include <lv2/atom/atom.h>`
`#include <lv2/buf-size/buf-size.h>`
`#include <lv2/options/options.h>`
`#include <lv2/uri-map/uri-map.h>`
`#include <lv2/port-props/port-props.h>`
`#include "../config.h"`
`#include "gx_compiler.h"`
`#include "gx_plugin.h"`
`#include "gx_logging.h"`
`#include "gx_system.h"`
`#include "gx_parameter.h"`
`#include "ParallelThread.h"`
`#include "gx_resampler.h"`
`#include "gx_convolver.h"`
`#include "gx_pitch_tracker.h"`
`#include "gx_pluginloader.h"`
`#include "gx_modulesequencer.h"`
`#include "gx_json.h"`
`#include "gx_jack.h"`
`#include "gx_internal_plugins.h"`
`#include "gx_neural_plugins.h"`
`#include "gx_preset.h"`
`#include "gx_engine.h"`
`#include "tunerswitcher.h"`
`#include "ladspaback.h"`

Go to the source code of this file.

## Macros

#define | SRC_HEADERS_ENGINE_H_
#define | USE_MIDI_CC_OUT
#define | LV2_CORE__enabled LV2_CORE_PREFIX "enabled"

## Macro Definition Documentation

## LV2_CORE__enabled

#define LV2_CORE__enabled LV2_CORE_PREFIX "enabled"

Definition at line 95 of file engine.h.

## SRC_HEADERS_ENGINE_H_

#define SRC_HEADERS_ENGINE_H_

Definition at line 24 of file engine.h.

## USE_MIDI_CC_OUT

#define USE_MIDI_CC_OUT

Definition at line 88 of file engine.h.